#!/bin/bash
# Find jar and start sprinboot process

mkdir -p $JFI_HOME_SCHEDULER/_MASTER_/data/contexts/settings

echo {\"coreurl\":\"$CORE_URL\"} > $JFI_HOME_SCHEDULER/_MASTER_/data/contexts/settings/serverconfig.json && \
    sed -i "s|QRATZ_DB|$QUARTZ_DB_URL|g" /scheduler/quartz.properties && \
    mv /scheduler/quartz.properties $JFI_HOME_SCHEDULER/_MASTER_/data/contexts/settings/quartz.properties

SCHEDULER_JAR=`find /scheduler -name "*.jar" | head -1`
exec java -Dserver.port=8080 -jar "$SCHEDULER_JAR"